# Update task status set on multiple workspaces

Updates the task status set for multiple projects. You must have permission to select task status sets to use the endpoint. If any specified workspaces cannot be updated, the entire request will fail and an error message will be returned that specifies which ones could be updated and why.
This endpoint returns structured Workspace Task Status Sets objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `workspace_task_status_sets` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: PUT /workspace_task_status_sets/bulk_update
Version: 1.0.0

## Request fields (application/json):

  - `workspace_task_status_sets` (array)
    A list of workspaces to update task status sets for.

  - `workspace_task_status_sets.workspace_id` (integer, required)
    The ID of the workspace to update.

  - `workspace_task_status_sets.status_set_id` (integer, required)
    The ID of the task status set to assign to the workspace.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

